/*Extra css for the updated viersion of the page*/
:root {
  font-size: 16px;
  font-family: 'Open Sans';
  --text-primary: #b6b6b6;
  --text-secondary: #ececec;
  --bg-primary: #23232e;
  --bg-secondary: #141418;
  --transition-speed: 600ms;
}
.dark input{
  color: #fff;
}
body {
  color: black;
  background-color: white;
  margin: 0;
  padding: 0;
}
.dark .card{
  color: #babcbc;
  background: #161818;
  box-shadow: 2px 4px 25px rgb(0 0 0);
  -webkit-box-shadow: 2px 4px 25px rgba(0 0 0);
}
.dark .card .cardHeader,
.dark .card .tabs,
.dark .card .tabs a{
  color: white;
  background-color: transparent;
}
.dark .tabs .tab a:focus.active {
  background-color: transparent;
}
.dark .info {
  background-color: #101212;
  color: #babcbc;
  border-bottom: none;
}
.dark main {
  background-color: hsl(187deg 4% 9%);
}
.dark .card .close {
  background-color: #e91e63;
}
.dark .box-good {
  background-color: hsl(158deg 85% 41% / 56%);
}
.dark .box-needs-improvement {
  background-color: hsl(45deg 97% 73% / 88%);
}
.cardHeader img {
  background: white;
}
.light .topBar {
  height: 80px;
  background-color: #eaeaea;
}
.dark .flex h2 {
  color: white;
  background-color: #16181875;
}
.dark .topBar {
  height: 80px;
  background: rgb(9 12 12);
}
.light .info {
  background-color: #f9f9f9;
}
body::-webkit-scrollbar {
  width: 0.25rem;
}
body::-webkit-scrollbar-track {
  background: #1e1e24;
}
body::-webkit-scrollbar-thumb {
  background: #6649b8;
}
.light .topBar a {
  color: #050505;
}
.dark #about .section,
.dark #credits {
  color: whitesmoke;
}
.dark .collapsible-header {
  color: #00BCD4;
  background: #1c1d1d;
  border-bottom: 1px solid #383838;
}
ul:not(.browser-default) {
  border: none;
}
blockquote.response {
  margin: 20px 0;
  padding-right: 1.5rem;
  border-right: 5px solid #009688;
  text-align: right;
  border-left: none;
}
blockquote.question {
  font-weight: bold;
}
.info,
.section {
  margin-left: 5rem;
  padding: 1rem;
}
.navbar {
  position: fixed;
  background-color: var(--bg-primary);
  /* -webkit-transition: width 600ms ease;
  transition: width 600ms ease;
  overflow: scroll; */
  z-index: 999;
}
.navbar-nav {
  list-style: none;
  padding: 0;
  margin: 0;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  height: 100%;
}
#tabs-swipe-demo {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  height: -webkit-fit-content;
  height: -moz-fit-content;
  height: fit-content;
  background: var(--bg-primary);
  width: 100%;
}
.nav-item {
  width: 100%;
}
.nav-item:last-child {
  margin-top: auto;
}
.nav-link {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  height: 5rem;
  color: var(--text-primary);
  text-decoration: none;
  -webkit-filter: grayscale(100%) opacity(0.7);
  filter: grayscale(100%) opacity(0.7);
  -webkit-transition: var(--transition-speed);
  transition: var(--transition-speed);
  white-space: nowrap;
}
.nav-link:hover {
  -webkit-filter: grayscale(0%) opacity(1);
  filter: grayscale(0%) opacity(1);
  background: var(--bg-secondary);
  color: var(--text-secondary);
}
.link-text {
  display: none;
  margin-left: 1rem;
}
.nav-link i,
.nav-link svg {
  width: 2rem;
  min-width: 2rem;
}
.fa-primary {
  color: #ff7eee;
}
.fa-secondary {
  color: #df49a6;
}
.fa-primary,
.fa-secondary {
  -webkit-transition: var(--transition-speed);
  transition: var(--transition-speed);
}
.logo {
  font-weight: bold;
  text-transform: uppercase;
  margin-bottom: 1rem;
  text-align: center;
  color: var(--text-secondary);
  background: var(--bg-secondary);
  font-size: 1.5rem;
  letter-spacing: 0.3ch;
  width: 100%;
}
.logo svg {
  -webkit-transform: rotate(0deg);
  transform: rotate(0deg);
  -webkit-transition: var(--transition-speed);
  transition: var(--transition-speed);
}
.logo-text {
  display: inline;
  position: absolute;
  left: -999px;
  -webkit-transition: var(--transition-speed);
  transition: var(--transition-speed);
}
.tool img {
  height: 100px;
}
img.sample {
  border-radius: 2px;
}
.navbar:hover .logo svg {
  -webkit-transform: rotate(-180deg);
  transform: rotate(-180deg);
}
/* Small screens */
@media only screen and (max-width: 600px) {
  .navbar {
    bottom: 0;
    width: 100vw;
    height: 5rem;
  }
  .logo {
    display: none;
  }
  .navbar-nav {
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-direction: row;
    flex-direction: row;
  }
  .nav-link {
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
  }
  #credits .section,
  main .info,
  #about .section {
    margin: 0;
  }
  main{ padding-bottom: 100px;}
  ul#tabs-swipe-demo {
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-direction: row;
    flex-direction: row;
  }
}
/* Large screens */
@media only screen and (min-width: 600px) {
  .navbar {
    top: 0;
    width: 5rem;
    height: 100vh;
  }
  .navbar:hover {
    width: 16rem;
  }
  .navbar:hover .link-text {
    display: inline;
  }
  .navbar:hover .logo svg {
    margin-left: 11rem;
  }
  .navbar:hover .logo-text {
    left: 0px;
  }
}
.dark {
  --text-primary: #b6b6b6;
  --text-secondary: #ececec;
  --bg-primary: #0b0e0f;
  --bg-secondary: #090c0c;
}
.light {
  --text-primary: #1f1f1f;
  --text-secondary: #000000;
  --bg-primary: #ffffff;
  --bg-secondary: #e4e4e4;
}
.solar {
  --text-primary: #fff;
  --text-secondary: #fff;
  --bg-primary: #00adff;
  --bg-secondary: #00adff;
}
.theme-icon {
  display: none;
}
.dark #darkIcon {
  display: block;
}
.light #lightIcon {
  display: block;
}
.solar #solarIcon {
  display: block;
}

/* Container that holds the loader */
.loader-container {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  height: 100vh; /* Full viewport height */
}

.loader {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  width: 100px;
  height: 100px;
  position: relative;
}

.loader div {
  width: 15px;
  height: 15px;
  background-color: #4285F4;
  border-radius: 50%;
  position: absolute;
  -webkit-animation: bounce 1.2s infinite ease-in-out;
          animation: bounce 1.2s infinite ease-in-out;
}

.loader div:nth-child(1) {
  -webkit-animation-delay: -1.1s;
          animation-delay: -1.1s;
  top: 0;
  left: 50%;
  -webkit-transform: translateX(-50%);
          transform: translateX(-50%);
}
.loader div:nth-child(2) {
  -webkit-animation-delay: -1s;
          animation-delay: -1s;
  top: 14%;
  left: 84%;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
}
.loader div:nth-child(3) {
  -webkit-animation-delay: -0.9s;
          animation-delay: -0.9s;
  top: 50%;
  left: 100%;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
}
.loader div:nth-child(4) {
  -webkit-animation-delay: -0.8s;
          animation-delay: -0.8s;
  bottom: 14%;
  left: 84%;
  -webkit-transform: translate(-50%, 50%);
          transform: translate(-50%, 50%);
}
.loader div:nth-child(5) {
  -webkit-animation-delay: -0.7s;
          animation-delay: -0.7s;
  bottom: 0;
  left: 50%;
  -webkit-transform: translateX(-50%);
          transform: translateX(-50%);
}
.loader div:nth-child(6) {
  -webkit-animation-delay: -0.6s;
          animation-delay: -0.6s;
  bottom: 14%;
  left: 16%;
  -webkit-transform: translate(-50%, 50%);
          transform: translate(-50%, 50%);
}
.loader div:nth-child(7) {
  -webkit-animation-delay: -0.5s;
          animation-delay: -0.5s;
  top: 14%;
  left: 16%;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
}

@-webkit-keyframes bounce {
  0%, 100% {
    -webkit-transform: scale(0);
            transform: scale(0);
  }
  50% {
    -webkit-transform: scale(1);
            transform: scale(1);
  }
}

@keyframes bounce {
  0%, 100% {
    -webkit-transform: scale(0);
            transform: scale(0);
  }
  50% {
    -webkit-transform: scale(1);
            transform: scale(1);
  }
}
